package com.liquidnet.service.consumer.base.receiver.smile;

import com.liquidnet.service.base.constant.MQConst;
import com.liquidnet.service.consumer.base.receiver.AbstractSqlRedisReceiver;
import org.springframework.stereotype.Component;

@Component
public class ConsumerSmileUserReceiver extends AbstractSqlRedisReceiver {
    @Override
    protected String getRedisStreamKey() {
        return MQConst.SmileQueue.SMILE_USER.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.SmileQueue.SMILE_USER.getGroup();
    }
}
